#ifndef SNDEMAIL_H
#define SNDEMAIL_H

#ifdef __BORLANDC__     /* auto-load the correct library */
#pragma comment(lib, "borsend.lib")
#endif

#ifdef __cplusplus
extern "C" {
#endif

#ifndef DllExport
#define DllExport   __declspec( dllimport ) 
#endif


/*   RETURN VALUES                                  */

/* The mail was sent successfully                   */
#define SENDEMAIL_SUCCESS               0

/* No MAPI Server (eg Microsoft Exchange) installed */
#define SENDEMAIL_MAPI_NOT_INSTALLED    1

/* Load of MAPI32.DLL failed                        */
#define SENDEMAIL_MAPILOAD_FAILED       2

/* Could not logon to the MAPI Server or            */
/* the user cancelled the logon box                 */
#define SENDEMAIL_LOGON_FAILED          3

/* The message send itself failed                   */
#define SENDEMAIL_SEND_FAILED           4


DllExport int __stdcall SendEmail(const char* Address,
                        const char* Subject,
                        const char* Text);
#ifdef __cplusplus
    };
#endif

#endif
